package com.jeeplus.test.klgBase.question.domain;

import java.io.Serializable;
import java.util.Date;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 知识库-业务提问
 * @TableName klg_base_questions
 */
@Data
@TableName("klg_base_questions")
public class KlgBaseQuestions extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 标题
     */
    private String title;

    /**
     * 问题类型
     */
    private String type;

    /**
     * 项目名称
     */
    private String programId;

    /**
     * 问题处理人
     */
    private String disposeBy;

    /**
     * 期望完成时间
     */
    private Date expectFinishDate;

    /**
     * 问题内容
     */
    private String content;

    /**
     * 状态
     */
    private String status;

    /**
     * 流程id
     */
    private String procInsId;

    /**
     * 流程信息
     */
    private String processDefinitionId;

    private static final long serialVersionUID = 1L;
}