package com.jeeplus.test.klgBase.question.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

import java.util.Date;

/**
 * 知识库-业务提问-回复表
 * @TableName klg_base_reply
 */
@Data
public class KlgBaseReplyDTO extends BaseDTO {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 提问id
     */
    private String questionId;

    /**
     * 回复内容
     */
    private String content;

    /**
     * 回复人
     */
    private String replyBy;

    /**
     * 回复时间
     */
    private Date replyDate;

    /**
     * 序号
     */
    private String sort;

    private static final long serialVersionUID = 1L;
}